<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [setStasisLink](./bitburner.darknet.setstasislink.md)

## Darknet.setStasisLink() method

Applies or removes a stasis link to the script's current server. This will allow you to connectToSession() or exec() to the server remotely, even if it is not directly connected to the server a script is running on. It also allows direct connection to the server via the terminal.

Stasis links also prevent the server from going offline or moving. It does not prevent other servers from moving or going offline, though, so it does not guarantee that the stasis link server will never lose connections to other servers.

There is a maximum of stasis links that can be applied globally, which can be seen using getStasisLinkLimit(). This limit can be increased by finding special augmentations in the deep darknet.

**Signature:**

```typescript
setStasisLink(shouldLink?: boolean): Promise<DarknetResult>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

shouldLink


</td><td>

boolean


</td><td>

_(Optional)_ true to apply a stasis link, false to remove it. Optional. Defaults to true.


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[DarknetResult](./bitburner.darknetresult.md)<!-- -->&gt;

A promise that resolves to a [DarknetResult](./bitburner.darknetresult.md) object.

## Remarks

RAM cost: 12 GB

